org.apache.jmeter.report.processor

## Class AggregateConsumer

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractSampleProcessor
  - - org.apache.jmeter.report.processor.AbstractSampleConsumer
    - - org.apache.jmeter.report.processor.AggregateConsumer

- All Implemented Interfaces:
    SampleConsumer, SampleProcessor, SampleProducer

      public class AggregateConsumer
      extends AbstractSampleConsumer

  The Class AggregateConsumer provides a consumer that can aggregate samples to provide a result
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateConsumer(Aggregator aggregator, SampleSelector<java.lang.Double> selector)` Instantiates a new abstract aggregate consumer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consume(Sample sample, int channel)` Consumes the specified sample ton the specified channel.
    `Aggregator` | `getAggregator()` Gets the aggregator.
    `SampleSelector<java.lang.Double>` | `getSelector()` Gets the selector.
    `void` | `startConsuming()` Start the sample consuming.
    `void` | `stopConsuming()` Stops the consuming process.

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

      `addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

      `getChannelAttribute, getSampleContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

      `getChannelAttribute, getSampleContext`

- - ### Constructor Detail

    - #### AggregateConsumer

          public AggregateConsumer(Aggregator aggregator,
                                   SampleSelector<java.lang.Double> selector)

      Instantiates a new abstract aggregate consumer.
      Parameters:
        `aggregator` - the aggregator (must not be `null`)
        `selector` - the selector (must not be `null`)

  - ### Method Detail

    - #### getAggregator

          public final Aggregator getAggregator()

      Gets the aggregator.
      Returns:
        the aggregator

    - #### getSelector

          public final SampleSelector<java.lang.Double> getSelector()

      Gets the selector.
      Returns:
        the selector

    - #### startConsuming

          public void startConsuming()

      Description copied from interface: `SampleConsumer`
      Start the sample consuming. This step is used by consumer to initialize their process.

    - #### consume

          public void consume(Sample sample,
                              int channel)

      Description copied from interface: `SampleConsumer`
      Consumes the specified sample ton the specified channel.
      Parameters:
        `sample` - The sample to be consumed
        `channel` - The channel on which the sample is consumed

    - #### stopConsuming

          public void stopConsuming()

      Description copied from interface: `SampleConsumer`
      Stops the consuming process. No sample will be processed after this service has been called.

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.